Skip to main content
DELETE
/
v1
/
agents
/
{agentId}
/
telephony
/
connectors
/
{connectorId}
Delete a connector and its phone numbers
curl --request DELETE \
  --url https://api.us.poly.ai/v1/agents/{agentId}/telephony/connectors/{connectorId} \
  --header 'x-api-key: <api-key>'
{
  "deletedConnector": "<string>",
  "deletedPhoneNumbers": [
    "<string>"
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

agentId
string
required
connectorId
string
required

Response

Successful response

Summary of a connector deletion, including every phone number that was released by the cascade.

deletedConnector
string
required

ID of the deleted connector

deletedPhoneNumbers
string[]
required

Phone numbers that were associated with the connector

Last modified on April 22, 2026